digiKam Developer Documentation: Digikam::FocusPoint Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::FocusPoint Class Reference

## Public Types
enum | TypePoint { Inactive = 0 , InFocus = 1 , Selected = 2 , SelectedInFocus = 3 }

## Public Member Functions
| FocusPoint (const FocusPoint &other)
| FocusPoint (const QRectF &rectF)
| FocusPoint (float x_position, float y_position, float width, float height)
| FocusPoint (float x_position, float y_position, float width, float height, TypePoint type)
| Focus point container constructors.
QPointF | getCenterPosition () const
QRectF | getRect () const
QRect | getRectBySize (const QSize &size) const
| Return the real area properties in image coordinates depending of the size.
QSizeF | getSize () const
TypePoint | getType () const
QString | getTypeDescription () const
FocusPoint & | operator= (const FocusPoint &other)
| Equivalent to the copy constructor.
void | setCenterPosition (float x_position, float y_position)
| Accessors to relative properties of focus point area.
void | setRect (const QRectF &rectF)
void | setSize (float width, float height)
void | setType (TypePoint type)
| Focus point type properties accessor.

## Member Enumeration Documentation

## ◆ TypePoint

enum Digikam::FocusPoint::TypePoint

Enumerator
Inactive | The AF-point is not active.
InFocus | The AF-point is in focus.
Selected | The AF-point is selected but not in focus.
SelectedInFocus | The AF-point is selected and in focus.

## Constructor & Destructor Documentation

## ◆ FocusPoint()

Digikam::FocusPoint::FocusPoint | ( | float | x_position,
|  | float | y_position,
|  | float | width,
|  | float | height,
|  | TypePoint | type
| ) |  |

Position and size are in float and are relative to the original image size. Typically, the area is defined as percents of values depending of image size used to extract information from metadata. Like this, focus area can be drawn easily over a resized version of image.

## Member Function Documentation

## ◆ setType()

void Digikam::FocusPoint::setType | ( | TypePoint | type | ) |

See TypePoint enum definition for details.